<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_db98357e662ee4057f89e" . "e50fd63a2c5" => base64_decode("Q2xlYXJpbmcgc2hhcmVkIGFzc" . "2V0cyBjYWNoZQ=="), "_2935eb81473a5cdf164ba52" . "dc31d305c" => base64_decode("Q2xlYXJpbmcgbWV" . "tb3J5IGNhY2hlcw" . "=="), "_8fd6da143a742433037" . "d3741c26c9f14" => base64_decode("Q2xlYXJpbmcgbG9jYWwgYXNzZ" . "XRzIGNhY2hl"), "_edd716f0baedc2427c121be52" . "9bf222d" => base64_decode("Q2xlYXJpbmcgYWxs" . "IGxvY2FsIGNhY2hl" . "cw=="), "_4d707fab" . "93bebb00b" . "be69e8159" . "697c90" => base64_decode(""), "_db7b295629faa" . "16027a2c263095" . "eba70" => base64_decode("cGhwX3NhcGlfbmF" . "tZQ=="), "_f02edf67305f5d984784e5a" . "63acb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGNhY2hlcyAocnVubmluZyBmcm9tIHRoZSBjb21tYW5kIGxp" . "bmUp"), "_d9040256bff96ad2c2" . "21f79439e0560c" => base64_decode("Q2xlYXJpbmcg" . "ZGlyZWN0b3J5" . "IA=="), "_2ac6cb432a5df95" . "9efdffbcd288d074" . "5" => base64_decode("Q2xlYXJpbmcgdGVtcGxhdGVyIGNh" . "Y2hl"), "_8fec21706bd243b37ecf62b1" . "caf8fb8a" => base64_decode("Y" . "2" . "x" . "p"), "_3d13c2fddaab71a09" . "eeaf22607f1db0f" => base64_decode("Q2xlYXJpbmcgYWxsIHNoYXJlZCBjYWN" . "oZXM="), "_8368ecd0faa75c04b4e54eac3" . "bd45d63" => base64_decode("Q2xlYXJpbmcgbG9jYWxpemF" . "0aW9uIGNhY2hl"), "_282505db60b6a60f1a0c54a" . "0f8c27092" => base64_decode("VEVNUExBVEVSX0NBQ0hF" . "X0RJUg=="), "_22ac6aae2762e0f310c4" . "95384c477dc8" => base64_decode("LmdpdGtlZXA" . "="));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_282505db6" . "0b6a60f1a0" . "c54a0f8c27" . "092"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_edd716f0baedc2427c121be" . "529bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_db7b295629faa16027a2c263095eba" . "70"]() !== $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_8fec21706bd243b37ecf62b1caf8" . "fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_f02edf67305f5d984784e5a63a" . "cb5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_3d13c2fddaab71a" . "09eeaf22607f1db0" . "f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_8368ecd0faa75c04" . "b4e54eac3bd45d63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_8fd6da143" . "a742433037" . "d3741c26c9" . "f14"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_db98357e662ee4057f89ee5" . "0fd63a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_2935eb81473a5cdf164ba52dc31d" . "305c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4d707fab93" . "bebb00bbe69" . "e8159697c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4d707fab93bebb" . "00bbe69e8159697" . "c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_2ac6cb432a5" . "df959efdffbc" . "d288d0745"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d9040256bff96ad2c221f794" . "39e0560c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_22ac6aae2762e0f" . "310c495384c477dc" . "8"]);
    }
}